Subject: bug#53885: 28.0.51 [PATCH] Autoload package-installed-p

From: Corwin Brust <[email-masked]>
Date: Thu, 10 Feb 2022 02:49:06 -0600

On Thu, Feb 10, 2022 at 2:41 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Corwin Brust <[email-masked]> writes:
>
> > I would like to have my init scripts automatically install a package
> > that isn't available "out of the box", but only if that feature hasn't
> > already been installed.
> >
> > As things presently stand, `package-installed-p' is nearly perfect for
> > this, however one must take care to ensure package.el has been
> > manually loaded before calling it, in order to avoid Emacs raising the
> > error shown in the original report.
>
> Oh, I see -- this has nothing to do with use-package, and you could have
> used some other package manager.  You just want to be able to check
> whether a package is installed in .emacs (without saying `require
> 'package') which seems reasonable to me.

Thanks much.

I've been struggling to reply to Ell's last succinctly, but maybe your
response has helped clarify and thus saved me from that.

Eli, please let me know if you have further what/why questions, otherwise

>
> However, this comes firmly under "new functionality" and not "bug fix",
> so I'm not sure we should put it in emacs-28 at this point, no matter
> how innocuous it looks like.  But if Eli thinks otherwise, I won't
> object.

Fine by me either way.